data-defined size and "normal" property size setting for polygon centroid fill result are resulting in 

different size on same value

2013-10-09 02:54 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17504

Description

A data-defined size of '200' and a property (i.e. via dialogue) size '200' in a polygon centroid fill results in two different display sizes. It's

counter-intuitive.

Steps to reproduce:

1. Open the attached QGIS project (error_datadefined_size_centroid.qgs)

2. Open the symbology property of both layers, and note that both are using '200' as size value, via two different mechanism

3. Look at the map canvas and take note of the two different sizes, for the same value.

Data-defined size for centroid is also somewhat broken when exporting map via qgis composer. Will file another bug when this is fixed if

the issue remains.

History

#1 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-05-02 09:52 PM - Mathieu Pellerin - nIRV

- Resolution set to invalid

- Status changed from Open to Closed

Closing, data-defined size value represents area, which is not the case for the normal UI-driven size value.

Files

error_centroid_datadefined_size.zip 6.75 KB 2013-10-09 Mathieu Pellerin - nIRV
